#ifndef CLOSING_H
#define CLOSING_H

#include "state.h"


// Declare all of the functions performed when in the closing state.
static state*
closed_detected();

static state*
open_button_pressed();

static void
entry_to();


// Define (tentatively) the closing state (and initialize it to the
// default state).  Note: setup_closing() must be called to complete
// the definition.
struct state closing;
#endif
