#include "hardware.h"
#include "statemodel.h"
#include <stdio.h>

int 
main(void)
{
  event  current_event;    
  int    key;
    
  setup_states();
  
  while ((key=getchar()) != 'x')
    {
      current_event = NUMBER_OF_EVENTS;

      switch (key)
        {
	case 'c':
	  current_event = CLOSE_BUTTON_PRESSED;
	  break;
	case 'C':
	  current_event = CLOSED_DETECTED;
	  break;
	case 'o':
	  current_event = OPEN_BUTTON_PRESSED;
	  break;
	case 'O':
	  current_event = OPENED_DETECTED;
	  break;
        }

      if (current_event != NUMBER_OF_EVENTS) handle_event(current_event);
    }

  return 0;
}
