#ifndef OPENING_H
#define OPENING_H

#include "state.h"

// Declare all of the functions performed when in the opening state.
static state*
close_button_pressed();

static state*
opened_detected();

static void
entry_to();

// Define (tentatively) the opening state (and initialize it to the
// default state).  Note: setup_opening() must be called to complete
// the definition.
struct state opening;
#endif
