#include "state.h"
#include <stdlib.h> // For NULL

// Define all of the functions that are not exposed
// by the header file.

state* 
return_null()
{
  return NULL;
}

void 
return_void()
{
}

// Define the default event handler and default action
event_handler* default_event_handler = return_null;
action* default_action = return_void;

// Define the default state
struct state default_state = {
  return_null,   // close_button_pressed
  return_null,   // closed_detected
  return_null,   // open_button_pressed
  return_null,   // opened_detected
  return_void,   // entry_to
  return_void    // exit_from
};
