#include "closed.h"
#include "hardware.h"
#include "statemodel.h" // For the other states

void
setup_closed()
{
  closed = default_state;
  closed.open_button_pressed = open_button_pressed;
  closed.entry_to = entry_to;
  closed.exit_from = exit_from;
}

static state*
open_button_pressed()
{
  exit_from();
  return &opening;
}

static void 
entry_to()
{
  set_closed_indicator(LED_ON);
}

static void 
exit_from()
{
  set_closed_indicator(LED_OFF);
}
