#ifndef CLOSED_H
#define CLOSED_H

#include "state.h"

// Declare all of the functions performed when in the closed state.
static state*
open_button_pressed();

static void
entry_to();

static void
exit_from();


// Define (tentatively) the closed state (and initialize it to the
// default state).  Note: setup_closed() must be called to complete
// the definition.
struct state closed;

#endif
