#include "opened.h"
#include "hardware.h"
#include "statemodel.h" // For the other states

void
setup_opened()
{
  opened = default_state;
  opened.close_button_pressed = close_button_pressed;
  opened.entry_to = entry_to;
  opened.exit_from = exit_from;
}


static state* 
close_button_pressed()
{
  exit_from();
  return &closing;
}

static void 
entry_to()
{
  set_opened_indicator(LED_ON);
}

static void 
exit_from()
{
  set_opened_indicator(LED_OFF);
}
